Bug 458412 - traceback while using rhnpush to upload fedora9 content into custom channel
traceback while using rhnpush to upload fedora9 content into custom channel
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
na
:
Depends On:
Blocks: space02
  Show dependency treegraph
 
Reported: 2008-08-07 23:25 EDT by wes hayutin
Modified: 2009-09-17 02:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 02:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2008-08-07 23:25:02 EDT
Description of problem:

traceback while using rhnpush to upload fedora9 content into custom channel.

Recreate.
Install spacewalk.
tune db w/ SQL> alter system set processes = 400 scope=spfile;
restart sat, db etc..
download fedora9 rpms to dir

upload rpms w/ rhnpush
 rhnpush --channel=fedora9 --server=https://localhost/APP --dir=/Fedora9/ -vvv

serveral hundred packages were pushed successfully, however received a traceback

Exception reported from rlx-3-18.rhndev.redhat.com
Time: Thu Aug  7 23:03:36 2008
Exception type server.rhnSQL.sql_base.SQLError
Exception while handling function upload_server._wrapper
Request object information:
URI: /PACKAGE-PUSH
Remote Host: 127.0.0.1
Server Name: rlx-3-18.rhndev.redhat.com:443
Headers passed in:
	Accept-Encoding: identity
	Content-Length: 25154715
	Content-Type: application/x-rpm
	Host: localhost:443
	User-Agent: rhnpush
	X-RHN-Upload-Auth-Session: 31xdac484d00f977568d7e8645f6ee3dd1d
	X-RHN-Upload-File-MD5sum: f4e3ffc6edf788fe82197f4d5780aa93
	X-RHN-Upload-Force: 0
	X-RHN-Upload-Package-Arch: noarch
	X-RHN-Upload-Package-Name: pharosc-magic-devel
	X-RHN-Upload-Package-Release: 1.fc8
	X-RHN-Upload-Package-Version: 8.3
	X-RHN-Upload-Packaging: rpm

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
    ret = function(req)
  File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", line 145, in handler
    relative_path=self.rel_package_path, org_id=self.org_id)
  File "/usr/share/rhn/server/rhnPackageUpload.py", line 227, in push_package
    importer.run()
  File "/usr/share/rhn/server/importlib/importLib.py", line 628, in run
    self.fix()
  File "/usr/share/rhn/server/importlib/packageImport.py", line 268, in fix
    self.backend.processCapabilities(self.capabilities)
  File "/usr/share/rhn/server/importlib/backend.py", line 123, in processCapabilities
    h.executemany(id=toinsert[0], name=toinsert[1], version=toinsert[2])
  File "/usr/share/rhn/server/rhnSQL/int_oracle.py", line 115, in executemany
    return apply(self._execute_wrapper, (self._executemany, ) + p, kw)
  File "/usr/share/rhn/server/rhnSQL/int_oracle.py", line 175, in _execute_wrapper
    raise apply(sql_base.SQLError, ret)
SQLError: (1, 'ORA-00001: unique constraint (SPACEWALK.RHN_PKG_CAP_NAME_VERSION_UQ) violated\n', 'insert into rhnPackageCapability (id, name, version) values (:id, :name, :version)')

Local variables by frame
Frame _execute_wrapper in /usr/share/rhn/server/rhnSQL/int_oracle.py at line 175
	            function = <type 'instancemethod'> <bound method Cursor._executemany of <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>>
	                   e = <type 'instance'> ORA-00001: unique constraint (SPACEWALK.RHN_PKG_CAP_NAME_VERSION_UQ) violated

	               errno = <type 'int'> 1
	                self = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>
	     modified_params = <type 'list'> []
	               value = <type 'list'> ['/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x1_c_z_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an2/an2_x2_a_z_p.power', '/usr/share/pharosc/magic/spice_vgalib013/nr2a/nr2a.pmd', '/usr/share/pharosc/magic/spice_vsclib013/an2/an2v4x8_b_z_p.power', '/usr/share/pharosc/magic/spice_sxlib013/ao22/ao22_x4_i1_q_p.power', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21.pmd', '/usr/share/pharosc/magic/spice_vsclib013/mxi2/mxi2v0x1_a1_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/ha2/ha2v0x2_b_so_1_lh.vbe', '/usr/share/pharosc/magic/spice_vxlib013/bf1/bf1_w2.pmd', '/usr/share/pharosc/magic/spice_sxlib013/no3/no3_x4_i0_nq_00_hl.delay', '/usr/share/pharosc/magic/spice_vxlib013/oai21/oai21_x05_a1_z_01_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/xaoi21/xaoi21_x05_b_z_10_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/cgn2/cgn2_x4.pr', '/usr/share/pharosc/magic/spice_sxlib013/o4/o4_x4.pr', '/usr/share/pharosc/magic!
 /spice_vsclib013/xooi21/xooi21v0x1_b_z_01_hh.delay', '/usr/share/pharosc/magic/spice_sxlib013/nao2o22/nao2o22_x4_i0_nq_001_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_a2_z_10_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v2x05_b_z_00_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21v0x1_b_z_01_lh.vbe', '/usr/share/pharosc/magic/spice_ssxlib013/nxr2/nxr2_x1_i1_nq.cir', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v1x05_a2_z_01_ll.ramp', '/usr/share/pharosc/magic/spice_vsclib013/nd2/nd2v0x4_a_z_1_lh.vbe', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v1x1_a_z_10_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai22/oai22v0x1_a1_z_001_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/oai31/oai31v0x05_b_z_111_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013!
 /xaon21/xaon21v0x1.pmd', '/usr/share/pharosc/magic/spice_vxlib!
 013/oai2
2/oai22_x05_b2_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/nd2a/nd2av0x05_fplot.cir', '/usr/share/pharosc/magic/spice_vxlib013/nd2/nd2_x05_func.cir', '/usr/share/pharosc/magic/spice_sxlib013/halfadder/halfadder_x4_b_sout_1_lh.ramp', '/usr/share/pharosc/magic/spice_sxlib013/ao2o22/ao2o22_x2_i2_q_110_ll.delay', '/usr/share/pharosc/magic/spice_ssxlib013/na4/na4_x1_i2_nq_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an3/an3_x2_b_z_11_ll.vbe', '/usr/share/pharosc/magic/spice_sxlib013/oa22/oa22_x4_i2_q.cir', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x05_a_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v0x05_c_z_00_ll.ramp', '/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x4.pmd', '/usr/share/pharosc/magic/spice_vsclib013/xoon21/xoon21v0x05_a1_z_01_lh.ramp']
	                   p = <type 'tuple'> ()
	              params = <type 'str'> version: ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],id: [510265, 510266, 510267, 510268, 510269, 510270, 510271, 510272, 510273, 510274, 510275, 510276, 510277, 510278, 510279, 510280, 510281, 510282, 510283, 510284, 510285, 510286, 510287, 510288, 510289, 510290, 510291, 510292, 510293, 510294, 510295, 510296, 510297, 510298, 510299, 510300, 510301, 510302, 510303, 510304],name: ['/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x1_c_z_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an2/an2_x2_a_z_p.power', '/usr/share/pharosc/magic/spice_vgalib013/nr2a/nr2a.pmd', '/usr/share/pharosc/magic/spice_vsclib013/an2/an2v4x8_b_z_p.power', '/usr/share/pharosc/magic/spice_sxlib013/ao22/ao22_x4_i1_q_p.power', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21.pmd', '/usr/share/pharosc/magic/spice_vsclib013/mxi2/mxi2v0x1_a1_z_n.!
 power', '/usr/share/pharosc/magic/spice_vsclib013/ha2/ha2v0x2_b_so_1_lh.vbe', '/usr/share/pharosc/magic/spice_vxlib013/bf1/bf1_w2.pmd', '/usr/share/pharosc/magic/spice_sxlib013/no3/no3_x4_i0_nq_00_hl.delay', '/usr/share/pharosc/magic/spice_vxlib013/oai21/oai21_x05_a1_z_01_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/xaoi21/xaoi21_x05_b_z_10_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/cgn2/cgn2_x4.pr', '/usr/share/pharosc/magic/spice_sxlib013/o4/o4_x4.pr', '/usr/share/pharosc/magic/spice_vsclib013/xooi21/xooi21v0x1_b_z_01_hh.delay', '/usr/share/pharosc/magic/spice_sxlib013/nao2o22/nao2o22_x4_i0_nq_001_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_a2_z_10_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v2x05_b_z_00_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21v0x1_b_z_01_lh.vbe', '/usr/share/pharosc/magic/spice_ssxlib013/nxr2/nxr2!
 _x1_i1_nq.cir', '/usr/share/pharosc/magic/spice_vsclib013/xnai!
 21/xnai2
1v1x05_a2_z_01_ll.ramp', '/usr/share/pharosc/magic/spice_vsclib013/nd2/nd2v0x4_a_z_1_lh.vbe', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v1x1_a_z_10_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai22/oai22v0x1_a1_z_001_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/oai31/oai31v0x05_b_z_111_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaon21/xaon21v0x1.pmd', '/usr/share/pharosc/magic/spice_vxlib013/oai22/oai22_x05_b2_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/nd2a/nd2av0x05_fplot.cir', '/usr/share/pharosc/magic/spice_vxlib013/nd2/nd2_x05_func.cir', '/usr/share/pharosc/magic/spice_sxlib013/halfadder/halfadder_x4_b_sout_1_lh.ramp', '/usr/share/pharosc/magic/spice_sxlib013/ao2o22/ao2o22_x2_i2_q_110_ll.delay', '/usr/share/pharosc/magic/spice_ssxlib013/na4/na4_x1_i2_nq_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an3/an3_x2_b_z_11_ll.vbe', '/usr/share/pharosc/magic/spice!
 _sxlib013/oa22/oa22_x4_i2_q.cir', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x05_a_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v0x05_c_z_00_ll.ramp', '/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x4.pmd', '/usr/share/pharosc/magic/spice_vsclib013/xoon21/xoon21v0x05_a1_z_01_lh.ramp']
	                 ret = <type 'tuple'> (1, 'ORA-00001: unique constraint (SPACEWALK.RHN_PKG_CAP_NAME_VERSION_UQ) violated\n', 'insert into rhnPackageCapability (id, name, version) values (:id, :name, :version)')
	                 key = <type 'str'> name
	                  kw = <type 'dict'> {'version': ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''], 'id': [510265, 510266, 510267, 510268, 510269, 510270, 510271, 510272, 510273, 510274, 510275, 510276, 510277, 510278, 510279, 510280, 510281, 510282, 510283, 510284, 510285, 510286, 510287, 510288, 510289, 510290, 510291, 510292, 510293, 510294, 510295, 510296, 510297, 510298, 510299, 510300, 510301, 510302, 510303, 510304], 'name': ['/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x1_c_z_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an2/an2_x2_a_z_p.power', '/usr/share/pharosc/magic/spice_vgalib013/nr2a/nr2a.pmd', '/usr/share/pharosc/magic/spice_vsclib013/an2/an2v4x8_b_z_p.power', '/usr/share/pharosc/magic/spice_sxlib013/ao22/ao22_x4_i1_q_p.power', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21.pmd', '/usr/share/pharosc/magic/spice_vsclib013/mxi2/mxi2v0!
 x1_a1_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/ha2/ha2v0x2_b_so_1_lh.vbe', '/usr/share/pharosc/magic/spice_vxlib013/bf1/bf1_w2.pmd', '/usr/share/pharosc/magic/spice_sxlib013/no3/no3_x4_i0_nq_00_hl.delay', '/usr/share/pharosc/magic/spice_vxlib013/oai21/oai21_x05_a1_z_01_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/xaoi21/xaoi21_x05_b_z_10_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/cgn2/cgn2_x4.pr', '/usr/share/pharosc/magic/spice_sxlib013/o4/o4_x4.pr', '/usr/share/pharosc/magic/spice_vsclib013/xooi21/xooi21v0x1_b_z_01_hh.delay', '/usr/share/pharosc/magic/spice_sxlib013/nao2o22/nao2o22_x4_i0_nq_001_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_a2_z_10_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v2x05_b_z_00_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21v0x1_b_z_01_lh.vbe', '/usr/share/pharosc/magic/spice_ssxlib013!
 /nxr2/nxr2_x1_i1_nq.cir', '/usr/share/pharosc/magic/spice_vscl!
 ib013/xn
ai21/xnai21v1x05_a2_z_01_ll.ramp', '/usr/share/pharosc/magic/spice_vsclib013/nd2/nd2v0x4_a_z_1_lh.vbe', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v1x1_a_z_10_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai22/oai22v0x1_a1_z_001_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/oai31/oai31v0x05_b_z_111_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaon21/xaon21v0x1.pmd', '/usr/share/pharosc/magic/spice_vxlib013/oai22/oai22_x05_b2_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/nd2a/nd2av0x05_fplot.cir', '/usr/share/pharosc/magic/spice_vxlib013/nd2/nd2_x05_func.cir', '/usr/share/pharosc/magic/spice_sxlib013/halfadder/halfadder_x4_b_sout_1_lh.ramp', '/usr/share/pharosc/magic/spice_sxlib013/ao2o22/ao2o22_x2_i2_q_110_ll.delay', '/usr/share/pharosc/magic/spice_ssxlib013/na4/na4_x1_i2_nq_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an3/an3_x2_b_z_11_ll.vbe', '/usr/share/pharosc/m!
 agic/spice_sxlib013/oa22/oa22_x4_i2_q.cir', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x05_a_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v0x05_c_z_00_ll.ramp', '/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x4.pmd', '/usr/share/pharosc/magic/spice_vsclib013/xoon21/xoon21v0x05_a1_z_01_lh.ramp']}
	              errmsg = <type 'str'> ORA-00001: unique constraint (SPACEWALK.RHN_PKG_CAP_NAME_VERSION_UQ) violated


Frame executemany in /usr/share/rhn/server/rhnSQL/int_oracle.py at line 115
	                   p = <type 'tuple'> ()
	                self = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>
	                  kw = <type 'dict'> {'version': ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''], 'id': [510265, 510266, 510267, 510268, 510269, 510270, 510271, 510272, 510273, 510274, 510275, 510276, 510277, 510278, 510279, 510280, 510281, 510282, 510283, 510284, 510285, 510286, 510287, 510288, 510289, 510290, 510291, 510292, 510293, 510294, 510295, 510296, 510297, 510298, 510299, 510300, 510301, 510302, 510303, 510304], 'name': ['/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x1_c_z_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an2/an2_x2_a_z_p.power', '/usr/share/pharosc/magic/spice_vgalib013/nr2a/nr2a.pmd', '/usr/share/pharosc/magic/spice_vsclib013/an2/an2v4x8_b_z_p.power', '/usr/share/pharosc/magic/spice_sxlib013/ao22/ao22_x4_i1_q_p.power', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21.pmd', '/usr/share/pharosc/magic/spice_vsclib013/mxi2/mxi2v0!
 x1_a1_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/ha2/ha2v0x2_b_so_1_lh.vbe', '/usr/share/pharosc/magic/spice_vxlib013/bf1/bf1_w2.pmd', '/usr/share/pharosc/magic/spice_sxlib013/no3/no3_x4_i0_nq_00_hl.delay', '/usr/share/pharosc/magic/spice_vxlib013/oai21/oai21_x05_a1_z_01_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/xaoi21/xaoi21_x05_b_z_10_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/cgn2/cgn2_x4.pr', '/usr/share/pharosc/magic/spice_sxlib013/o4/o4_x4.pr', '/usr/share/pharosc/magic/spice_vsclib013/xooi21/xooi21v0x1_b_z_01_hh.delay', '/usr/share/pharosc/magic/spice_sxlib013/nao2o22/nao2o22_x4_i0_nq_001_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_a2_z_10_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v2x05_b_z_00_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21v0x1_b_z_01_lh.vbe', '/usr/share/pharosc/magic/spice_ssxlib013!
 /nxr2/nxr2_x1_i1_nq.cir', '/usr/share/pharosc/magic/spice_vscl!
 ib013/xn
ai21/xnai21v1x05_a2_z_01_ll.ramp', '/usr/share/pharosc/magic/spice_vsclib013/nd2/nd2v0x4_a_z_1_lh.vbe', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v1x1_a_z_10_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai22/oai22v0x1_a1_z_001_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/oai31/oai31v0x05_b_z_111_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaon21/xaon21v0x1.pmd', '/usr/share/pharosc/magic/spice_vxlib013/oai22/oai22_x05_b2_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/nd2a/nd2av0x05_fplot.cir', '/usr/share/pharosc/magic/spice_vxlib013/nd2/nd2_x05_func.cir', '/usr/share/pharosc/magic/spice_sxlib013/halfadder/halfadder_x4_b_sout_1_lh.ramp', '/usr/share/pharosc/magic/spice_sxlib013/ao2o22/ao2o22_x2_i2_q_110_ll.delay', '/usr/share/pharosc/magic/spice_ssxlib013/na4/na4_x1_i2_nq_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an3/an3_x2_b_z_11_ll.vbe', '/usr/share/pharosc/m!
 agic/spice_sxlib013/oa22/oa22_x4_i2_q.cir', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x05_a_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v0x05_c_z_00_ll.ramp', '/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x4.pmd', '/usr/share/pharosc/magic/spice_vsclib013/xoon21/xoon21v0x05_a1_z_01_lh.ramp']}

Frame processCapabilities in /usr/share/rhn/server/importlib/backend.py at line 123
	            toinsert = <type 'list'> [[510265, 510266, 510267, 510268, 510269, 510270, 510271, 510272, 510273, 510274, 510275, 510276, 510277, 510278, 510279, 510280, 510281, 510282, 510283, 510284, 510285, 510286, 510287, 510288, 510289, 510290, 510291, 510292, 510293, 510294, 510295, 510296, 510297, 510298, 510299, 510300, 510301, 510302, 510303, 510304], ['/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x1_c_z_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an2/an2_x2_a_z_p.power', '/usr/share/pharosc/magic/spice_vgalib013/nr2a/nr2a.pmd', '/usr/share/pharosc/magic/spice_vsclib013/an2/an2v4x8_b_z_p.power', '/usr/share/pharosc/magic/spice_sxlib013/ao22/ao22_x4_i1_q_p.power', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21.pmd', '/usr/share/pharosc/magic/spice_vsclib013/mxi2/mxi2v0x1_a1_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/ha2/ha2v0x2_b_so_1_lh.vbe', '/usr/share/pharosc/magic/spice_vxlib013/bf1/bf1_w2.pmd', '/usr/share/pharosc/magic/spice_sxlib013/!
 no3/no3_x4_i0_nq_00_hl.delay', '/usr/share/pharosc/magic/spice_vxlib013/oai21/oai21_x05_a1_z_01_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/xaoi21/xaoi21_x05_b_z_10_lh.delay', '/usr/share/pharosc/magic/spice_vxlib013/cgn2/cgn2_x4.pr', '/usr/share/pharosc/magic/spice_sxlib013/o4/o4_x4.pr', '/usr/share/pharosc/magic/spice_vsclib013/xooi21/xooi21v0x1_b_z_01_hh.delay', '/usr/share/pharosc/magic/spice_sxlib013/nao2o22/nao2o22_x4_i0_nq_001_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_a2_z_10_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/xaoi21/xaoi21v0x2_b_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v2x05_b_z_00_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai21/oai21v0x1_b_z_01_lh.vbe', '/usr/share/pharosc/magic/spice_ssxlib013/nxr2/nxr2_x1_i1_nq.cir', '/usr/share/pharosc/magic/spice_vsclib013/xnai21/xnai21v1x05_a2_z_01_ll.ramp', '/usr/share/pharosc/magic/spice_vsclib013/nd2/nd2v0x4_a_z_1_lh.vbe', '/usr/share/p!
 harosc/magic/spice_vsclib013/or4/or4v0x2_b_z_p.power', '/usr/s!
 hare/pha
rosc/magic/spice_vsclib013/xor3/xor3v1x1_a_z_10_hl.delay', '/usr/share/pharosc/magic/spice_vsclib013/oai22/oai22v0x1_a1_z_001_hl.ramp', '/usr/share/pharosc/magic/spice_vsclib013/oai31/oai31v0x05_b_z_111_hl.vbe', '/usr/share/pharosc/magic/spice_vsclib013/xaon21/xaon21v0x1.pmd', '/usr/share/pharosc/magic/spice_vxlib013/oai22/oai22_x05_b2_z_n.power', '/usr/share/pharosc/magic/spice_vsclib013/nd2a/nd2av0x05_fplot.cir', '/usr/share/pharosc/magic/spice_vxlib013/nd2/nd2_x05_func.cir', '/usr/share/pharosc/magic/spice_sxlib013/halfadder/halfadder_x4_b_sout_1_lh.ramp', '/usr/share/pharosc/magic/spice_sxlib013/ao2o22/ao2o22_x2_i2_q_110_ll.delay', '/usr/share/pharosc/magic/spice_ssxlib013/na4/na4_x1_i2_nq_n.power', '/usr/share/pharosc/magic/spice_vxlib013/an3/an3_x2_b_z_11_ll.vbe', '/usr/share/pharosc/magic/spice_sxlib013/oa22/oa22_x4_i2_q.cir', '/usr/share/pharosc/magic/spice_vsclib013/or4/or4v0x05_a_z_p.power', '/usr/share/pharosc/magic/spice_vsclib013/xor3/xor3v0x05_c_z_00_ll.ramp', !
 '/usr/share/pharosc/magic/spice_vxlib013/nd3/nd3_x4.pmd', '/usr/share/pharosc/magic/spice_vsclib013/xoon21/xoon21v0x05_a1_z_01_lh.ramp'], ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '']]
	                name = <type 'str'> /usr/share/pharosc/magic/spice_ssxlib013/ao2o22/ao2o22_x4_i2_q_010_hh.vbe
	                   h = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>
	                self = <type 'instance'> <server.importlib.backendOracle.OracleBackend instance at 0xb24af2cc>
	                 sql = <type 'str'> 
            insert into rhnPackageCapability 
                (id, name, version) values
                (:id, :name, :version)
        
	          sqlNonNull = <type 'str'> 
            select id
              from rhnPackageCapability
             where name = :name 
               and version = :version
	               templ = <type 'str'> 
            select id
              from rhnPackageCapability
             where name = :name 
               and version %s
	             version = <type 'str'> 
	    nonnullStatement = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>
	       nullStatement = <type 'instance'> <__builtin__.OracleCursor on <cx_Oracle.Connection to spacewalk@xe>>
	      capabilityHash = <type 'dict'> <ERROR WHILE PRINTING VALUE: string representation too large>
	                 ver = <type 'str'> 
	             sqlNull = <type 'str'> 
            select id
              from rhnPackageCapability
             where name = :name 
               and version is null
	                  id = <type 'int'> 510304
	                 row = <type 'dict'> {'id': 510264}

Frame fix in /usr/share/rhn/server/importlib/packageImport.py at line 272
	                self = <type 'instance'> <server.importlib.packageImport.PackageImport instance at 0xb24af2ec>

Frame run in /usr/share/rhn/server/importlib/importLib.py at line 628
	                self = <type 'instance'> <server.importlib.packageImport.PackageImport instance at 0xb24af2ec>

Frame push_package in /usr/share/rhn/server/rhnPackageUpload.py at line 227
	          header_end = <type 'long'> 2780264
	               force = <type 'int'> 0
	        header_start = <type 'long'> 440
	      payload_stream = <type 'file'> <open file '<fdopen>', mode 'r' at 0xb354e6e0>
	        payload_size = <type 'long'> 25154715
	              md5sum = <type 'str'> f4e3ffc6edf788fe82197f4d5780aa93
	              org_id = <type 'int'> 1
	               batch = <type 'instance'> <ERROR WHILE PRINTING VALUE: string representation too large>
	       relative_path = <type 'str'> redhat/1/pharosc-magic-devel/8.3-1.fc8/noarch/pharosc-magic-devel-8.3-1.fc8.noarch.rpm
	            channels = <type 'list'> []
	              header = <type 'instance'> <rpm.hdr object at 0xb7e35e30>
	            importer = <type 'instance'> <server.importlib.packageImport.PackageImport instance at 0xb24af2ec>
	                 pkg = <type 'instance'> <ERROR WHILE PRINTING VALUE: string representation too large>
	        upload_force = <type 'int'> 0
	             backend = <type 'instance'> <server.importlib.backendOracle.OracleBackend instance at 0xb24af2cc>

Frame handler in /usr/share/rhn/upload_server/handlers/package_push/package_push.py at line 145
	          header_end = <type 'long'> 2780264
	                 req = <type 'mp_request'> <mp_request object at 0xb7f0bd2c>
	        header_start = <type 'long'> 440
	      payload_stream = <type 'file'> <open file '<fdopen>', mode 'r' at 0xb354e6e0>
	         temp_stream = <type 'file'> <open file '<fdopen>', mode 'w+b' at 0xb354eb18>
	              md5sum = <type 'str'> f4e3ffc6edf788fe82197f4d5780aa93
	                 ret = <type 'int'> 0
	              header = <type 'instance'> <rpm.hdr object at 0xb7e35e30>
	                self = <type 'instance'> <upload_server.handlers.package_push.package_push.PackagePush instance at 0xb359c44c>

Frame _wrapper in /usr/share/rhn/server/apacheUploadServer.py at line 125
	            function = <type 'instancemethod'> <bound method PackagePush.handler of <upload_server.handlers.package_push.package_push.PackagePush instance at 0xb359c44c>>
	                self = <type 'instance'> <server.apacheUploadServer.UploadHandler instance at 0xb7bfbb6c>
	                 req = <type 'mp_request'> <mp_request object at 0xb7f0bd2c>
	       function_name = <type 'str'> handler

Frame handler in /usr/share/rhn/server/apacheUploadServer.py at line 79
	                self = <type 'instance'> <server.apacheUploadServer.UploadHandler instance at 0xb7bfbb6c>
	                 req = <type 'mp_request'> <mp_request object at 0xb7f0bd2c>

Frame __call__ in /usr/share/rhn/server/apacheServer.py at line 57
	                self = <type 'instance'> <server.apacheUploadServer.UploadHandlerWrap instance at 0xb7c589ac>
	                 req = <type 'mp_request'> <mp_request object at 0xb7f0bd2c>
	                   f = <type 'instancemethod'> <bound method UploadHandler.handler of <server.apacheUploadServer.UploadHandler instance at 0xb7bfbb6c>>

Frame HandlerDispatch in /usr/lib/python2.4/site-packages/mod_python/apache.py at line 299
	                 req = <type 'mp_request'> <mp_request object at 0xb7f0bd2c>
	              config = <type 'mp_table'> {'PythonInterpreter': 'rhn.server.upload', 'PythonPath': 'sys.path+['/usr/share/rhn']'}
	                self = <type 'instance'> <mod_python.apache.CallBack instance at 0xb7f1976c>
	              object = <type 'instance'> <server.apacheUploadServer.UploadHandlerWrap instance at 0xb7c589ac>
	                   l = <type 'list'> ['server.apacheUploadServer', 'Handler']
	              module = <type 'module'> <module 'server.apacheUploadServer' from '/usr/share/rhn/server/apacheUploadServer.py'>
	               hlist = <type 'mp_hlist'> {'handler:'server.apacheUploadServer::Handler','directory':'/PACKAGE-PUSH/','silent':0}
	          object_str = <type 'str'> Handler
	               debug = <type 'int'> 0
	         module_name = <type 'str'> server.apacheUploadServer
	          pathstring = <type 'str'> sys.path+['/usr/share/rhn']
	              result = <type 'int'> 500


Environment for PID=9833 on exception:
LANG = C
NLS_LANG = english.AL32UTF8
ORACLE_HOME = /opt/oracle
PATH = /sbin:/usr/sbin:/bin:/usr/bin
PERL_BADFREE = 0
PWD = /
SHLVL = 2
TERM = screen
_ = /usr/sbin/httpd
Comment 1 Devan Goodwin 2008-09-05 14:32:48 EDT
Nobody reported fixing this but it seems to be ok, we're now able to successfully push F9 Everything in spacewalk 0.2. Marking verified.
Comment 2 Miroslav Suchý 2009-09-17 02:59:59 EDT
Spacewalk is released for long time.

Note You need to log in before you can comment on or make changes to this bug.